const { config } = require("./env");

const gaEnabled = config && config.ga && config.ga.enabled;
const gTrackingId = config && config.ga && config.ga.gTrackingId;
const head = [
  [
    "link",
    {
      rel: "icon",
      type: "image/png",
      sizes: "32x32",
      href: "https://authing.cn/favicon.ico",
    },
  ],
  [
    "script",
    {},
    `!function(){var e=window.Cohere=window.Cohere||[];if(e.invoked)console.error("Tried to load Cohere twice");else{e.invoked=!0,e.snippet="0.2",e.methods=["init","identify","stop","showCode","getSessionUrl","makeCall","addCallStatusListener","removeCallStatusListener","widget","addSessionUrlListener","removeSessionUrlListener",],e.methods.forEach(function(o){e[o]=function(){var t=Array.prototype.slice.call(arguments);t.unshift(o),e.push(t)}});var o=document.createElement("script");o.type="text/javascript",o.async=!0,o.src="https://static.cohere.so/main.js",o.crossOrigin="anonymous";var t=document.getElementsByTagName("script")[0];t.parentNode.insertBefore(o,t)}}();`,
  ],
  [
    "script",
    {},
    `if(window.location.hostname === "docs.authing.cn"){window.Cohere.init("PUkf845sOZgDd59V6aTJCsuJ");}`,
  ],
];

if (gaEnabled) {
  head.push([
    "script",
    {
      async: true,
      src: `https://www.googletagmanager.com/gtag/js?id=${gTrackingId}`,
    },
  ]);
  head.push([
    "script",
    {},
    `window.dataLayer = window.dataLayer || [];
    function gtag(){dataLayer.push(arguments);}
    gtag('js', new Date());

    gtag('config', '${gTrackingId}');`,
  ]);
}

module.exports = {
  head,
  markdown: {
    anchor: {
      permalinkSymbol: "¶",
    },
    toc: {
      includeLevel: [2, 3, 4, 5],
    },
    extractHeaders: ["h2", "h3", "h4", "h5"],
    extendMarkdown: (md) => {
      // 使用更多的 markdown-it 插件!
      md.use(require("markdown-it-include"), "docs");
    },
  },
};
